﻿.dd {
    position: relative;
    display: block;
    margin: 0;
    padding: 0;
    /*max-width: 600px;*/
    list-style: none;
    font-size: 13px;
    line-height: 20px;
}

.dd-list {
    display: block;
    position: relative;
    margin: 0;
    padding: 0;
    list-style: none;
}

    .dd-list .dd-list {
        padding-left: 30px;
    }

.dd-item,
.dd-empty,
.dd-placeholder {
    display: block;
    position: relative;
    margin: 0;
    padding: 0;
    min-height: 20px;
    font-size: 11px;
    cursor: pointer;
    line-height: 20px;
}

.dd-handle {
    display: block;
    height: 30px;
    margin: 5px 0;
    padding: 5px 10px;
    color: #333;
    text-decoration: none;
    font-weight: bold;
    border: 1px solid #ccc;
    background: #fafafa;
    border-radius: 3px;
    box-sizing: border-box;
}

    .dd-handle:hover {
        color: #2ea8e5;
        background: #fff;
    }

.dd-item > button {
    position: relative;
    cursor: pointer;
    float: left;
    width: 25px;
    height: 20px;
    margin: 5px 0;
    padding: 0;
    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
    border: 0;
    background: transparent;
    font-size: 10px;
    line-height: 1;
    text-align: center;
    font-weight: bold;
    color: #FFBC00
}

    .dd-item > button:before {
        display: block;
        position: absolute;
        width: 100%;
        text-align: center;
        text-indent: 0;
    }

    .dd-item > button.dd-expand:before {
        content: '➕';
        color: #FFf;
    }

    .dd-item > button.dd-collapse:before {
        content: '➖';
        color: #FFf;
    }

.dd-expand {
    display: none;
}

.dd-collapsed .dd-list,
.dd-collapsed .dd-collapse {
    display: none;
}

.dd-collapsed .dd-expand {
    display: block;
}

.dd-empty,
.dd-placeholder {
    margin: 5px 0;
    padding: 0;
    min-height: 30px;
    background: #f2fbff;
    border: 1px dashed #b6bcbf;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

.dd-empty {
    border: 1px dashed #bbb;
    min-height: 100px;
    background-color: #e5e5e5;
    background-size: 60px 60px;
    background-position: 0 0, 30px 30px;
}

.dd-dragel {
    position: absolute;
    pointer-events: none;
    z-index: 9999;
}

    .dd-dragel > .dd-item .dd-handle {
        margin-top: 0;
    }

    .dd-dragel .dd-handle {
        box-shadow: 2px 4px 6px 0 rgba(0, 0, 0, 0.1);
    }

.dd-nochildren .dd-placeholder {
    display: none;
}

/**
         * Nestable Draggable Handles
         */

.dd3-content {
    display: block;
    height: 30px;
    margin: 5px 0;
    padding: 5px;
/*    color: #333;*/
    text-decoration: none;
    font-weight:600;
    border: 1px solid #ccc;
/*    background: #fafafa;
    background: -webkit-linear-gradient(top, #fafafa 0%, #eee 100%);
    background: -moz-linear-gradient(top,#fafafa 0%, #eee 100%);
    background: linear-gradient(top, #fafafa 0%, #eee 100%);*/
    -webkit-border-radius: 3px;
    border-radius: 3px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

/*    .dd3-content:hover {
        color: #2ea8e5;
        background: #fff;
    }
*/

    .dd3-content.active {
        background: #ddd;
    }

.dd-dragel > .dd3-item > .dd3-content {
    margin: 0;
}

.dd3-item > button {
    margin-left: 5px;
}

.dd3-handle {
    position: absolute;
    margin: 0;
    left: 0;
    top: 0;
    cursor: move;
    width: 30px;
    text-indent: 30px;
    white-space: nowrap;
    overflow: hidden;
    border: 1px solid #aaa;
    background: #fafafa;
    background: -webkit-linear-gradient(top, #fafafa 0%, #fafafa 100%);
    background: -moz-linear-gradient(top, #fafafa 0%, #fafafa 100%);
    background: linear-gradient(top, #fafafa 0%, #fafafa 100%);
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

    .dd3-handle:before {
        content: '✢';
        display: block;
        position: absolute;
        left: 0;
        top: 3px;
        width: 100%;
        text-align: center;
        text-indent: 0;
        color: #999;
        font-size: 20px;
        font-weight: normal;
    }

 /*   .dd3-handle:hover {
        background: #ddd;
    }*/

.dd3-operation {
    display: block;
    height: 30px;
    margin: 5px 0;
    padding: 5px 10px;
    color: #333;
    text-decoration: none;
    border: 1px solid #ccc;
    background: #fafafa;
    border-radius: 3px;
    box-sizing: border-box;
}

.button-delete {
    position: absolute;
    top: 2px;
    right: 2px;
    padding: 0;
}

.button-insert {
    position: absolute;
    top: 2px;
    right: 62px;
    padding: 0;
}

.button-edit {
    position: absolute;
    top: 2px;
    right: 31px;
    padding: 0;
}
.button-info {
    position: absolute;
    top: 3px;
    right: 118px;
    padding: 0;
/*    color:#333;*/
}
.button-state {
    position: absolute;
    top: 2px;
    right: 90px;
    padding: 0;
}
.btn-icon-size {
    font-size: 16px;
}
.btn-info-icon-size {
    font-size: 11px;
}
.nestable-btn {
     padding: 3px 3px;
}

    .nestable-btn:hover {
        color: #ff0c23;
    }

.nested-table-line-equipment {
    color: #FC4438;
}

.nested-table-line-factory {
    color: #54BA4A;
}

.nested-table-line-techunit {
    color: #16C7F9;
}

.nested-table-line-toptechunit {
    color: #009fcc;
}

.nested-table-line-equipment-item {
    color: #d82317;
}